#include "test-common.h"

int main(int argc, char** argv)
{
  // CNST
  // dst - 0, Direct
  // imm - 0x4567
  //
  // CNST
  // dst - 1, Direct
  // imm - 0x2345
  //
  // BXOR
  // dst - 0, Direct
  // a - 0, Direct
  // b - 1, Direct
  {
    foot::Emulator emu = run_instructions({ 0x00204567, 0x00212345, 0x04202021 });
    if (!check(0x4567 ^ 0x2345, emu.register_at(0))) { return 1; }
  }

  return 0;
}
