#include "test-common.h"

int main(int argc, char** argv)
{
  // CNST
  // dst - 0, Direct
  // imm - 0x4567
  //
  // LONG
  // dst - 0, Direct
  // a - 0, Direct
  {
    foot::Emulator emu = run_instructions({ 0x00204567, 0x01200320 });
    if (!check(0x0000, emu.register_at(0))) { return 1; }
  }

  // CNST
  // dst - 0, Direct
  // imm - 0x0000
  //
  // LONG
  // dst - 0, Direct
  // a - 0, Direct
  {
    foot::Emulator emu = run_instructions({ 0x00200000, 0x01200320 });
    if (!check(0x0001, emu.register_at(0))) { return 1; }
  }

  return 0;
}
